#include <xc.h>
#pragma config WDTEN = OFF, PLLDIV = 1, CFGPLLEN = OFF, STVREN = ON, XINST = OFF

#include <stdio.h>
#include <stdint.h>
#include "pic_init.h"
#include "eeprom_M24128.h"

uint8_t eeprom_wValue[5] = {0x34, 0x01, 0x02, 0x03, 0x04};
uint8_t eeprom_rValue[5];

int main(void)
{  
   //db_delay_ms(10);   
   
   pic_init();
   printf("Pic_Eeprom\n\r");
   
   uint16_t eeprom_address = 0x00;
  
   eeprom_M24128_write(eeprom_address, eeprom_wValue);
   eeprom_M24128_read(eeprom_address, eeprom_rValue);   
   
   printf("eeprom write done.\n\r");
   
   while (1);
      
   return 0;
}
