#ifndef __EEPROM_M24128__
#define __EEPROM_M24128__

#include <stdint.h>

int eeprom_M24128_write(uint16_t reg, uint8_t *int_ptr);
int eeprom_M24128_read(uint16_t reg, uint8_t *u8_data);

unsigned char WriteI2C(uint8_t data_out);
unsigned char ReadI2C(void);
void load_array(uint8_t *ptr);

void db_delay_ms(uint16_t ms);

#endif // __EEPROM_M24128__